aboutsummaryrefslogtreecommitdiff
path: root/resources/scripts/misc
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/misc')
-rw-r--r--resources/scripts/misc/check-trailing-newline33
-rw-r--r--resources/scripts/misc/libreboot_usb_bugfix50
-rwxr-xr-xresources/scripts/misc/powertop.trisquel750
3 files changed, 133 insertions, 0 deletions
diff --git a/resources/scripts/misc/check-trailing-newline b/resources/scripts/misc/check-trailing-newline
new file mode 100644
index 00000000..5a6cd5cc
--- /dev/null
+++ b/resources/scripts/misc/check-trailing-newline
@@ -0,0 +1,33 @@
+#!/usr/bin/env guile
+-*- scheme -*-
+!#
+;;; check-trailing-newline -- Find files lacking a trailing newline
+;;; Use guile 2 (not 1.8)
+;;; Copyright (C) 2015 Mark H Weaver <mhw@netris.org>
+;;;
+;;; This program is free software: you can redistribute it and/or modify
+;;; it under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation, either version 3 of the License, or
+;;; (at your option) any later version.
+;;;
+;;; This program is distributed in the hope that it will be useful,
+;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+(use-modules (ice-9 match)
+ (rnrs io ports))
+
+(define (check-file file-name)
+ (let ((contents (call-with-input-file file-name get-string-all)))
+ (unless (string-suffix? "\n" contents)
+ (format (current-error-port)
+ "~a: lacks trailing newline\n"
+ file-name))))
+
+(match (command-line)
+ ((_ file-names ...)
+ (for-each check-file file-names)))
diff --git a/resources/scripts/misc/libreboot_usb_bugfix b/resources/scripts/misc/libreboot_usb_bugfix
new file mode 100644
index 00000000..bdb5c40a
--- /dev/null
+++ b/resources/scripts/misc/libreboot_usb_bugfix
@@ -0,0 +1,50 @@
+#! /bin/sh
+################################################################################
+# Copyright (C) 2016 Namine Ritsu <ritsu73@ecantorix.moe> #
+# #
+# This program is free software: you can redistribute it and/or modify #
+# it under the terms of the GNU General Public License as published by #
+# the Free Software Foundation, either version 3 of the License, or #
+# (at your option) any later version. #
+# #
+# This program is distributed in the hope that it will be useful, #
+# but WITHOUT ANY WARRANTY; without even the implied warranty of #
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the #
+# GNU General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+# #
+################################################################################
+
+### BEGIN INIT INFO
+# Provides: libreboot_usb_bugfix
+# Required-Start: $remote_fs $syslog
+# Required-Stop: $remote_fs $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop:
+# Short-Description: Disable USB wakeup on libreboot machines
+### END INIT INFO
+
+case "$1" in
+ start)
+ EHC1=$(cat /proc/acpi/wakeup | grep EHC1 | grep enabled | wc -l)
+ EHC2=$(cat /proc/acpi/wakeup | grep EHC2 | grep enabled | wc -l)
+ if [ "$EHC1" -gt 0 ]
+ then
+ echo EHC1 > /proc/acpi/wakeup
+ fi
+ if [ "$EHC2" -gt 0 ]
+ then
+ echo EHC2 > /proc/acpi/wakeup
+ fi
+ ;;
+ status)
+ cat /proc/acpi/wakeup | grep EHC
+ ;;
+ *)
+ echo "Usage: /etc/init.d/libreboot_usb_bugfix {start|status}"
+ exit 1
+esac
+
+exit 0
diff --git a/resources/scripts/misc/powertop.trisquel7 b/resources/scripts/misc/powertop.trisquel7
new file mode 100755
index 00000000..1e29f38a
--- /dev/null
+++ b/resources/scripts/misc/powertop.trisquel7
@@ -0,0 +1,50 @@
+#!/bin/bash
+
+# powertop.trisquel7: automatically sets up powertop --auto-tune on startup in trisquel 7
+#
+# Copyright (C) 2014, 2015 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+if [ $EUID -ne 0 ]; then
+ printf "This script must be run as root\n"
+ exit 1
+fi
+
+# For Trisquel 7 users.
+
+apt-get -y install powertop
+
+# Remove startup symlink if it exists
+update-rc.d powertop remove
+# Remove previous file if it exists
+rm -Rf "/etc/init.d/powertop"
+
+# write the correct commands there:
+printf "#!/bin/sh\n" > "/etc/init.d/powertop"
+printf "/usr/sbin/powertop --auto-tune\n" >> "/etc/init.d/powertop"
+
+# make it executable:
+chmod +x "/etc/init.d/powertop"
+
+# Add the service to make it run automatically at boot time:
+update-rc.d powertop defaults
+
+# Run powertop now and tell the user
+powertop --auto-tune
+printf "Done. Run 'powertop --auto-tune' now. This will also run automatically at boot time. Run it again at any time, if needed. This has also been done for you just now.\n"